<template>
  <div>
    <GenericManager
      :uri="resource_uri"
      :list_fields="['id', 'name']"
      :visible_fields="['id', 'name', 'text', 'richtext', 'file', 'memo']"
      :editable_fields="['name', 'text', 'richtext', 'file', 'memo']"
      object_name="产品属性"
      show_search=0
      ref="gm"
      :pre_save="pre_save"
    />
  </div>
</template>

<script>
export default {
  name: 'ProductProperties',
  props: ['id'],
  components: {
  },
  data: function () {
    return {
      resource_uri: "/api/v1/product-property/?product_id=" + this.id,
    };
  },
  computed: {
  },
  methods: {
    pre_save(obj) {
      obj.product_id = this.id;
      return obj;
    },
  },
  mounted() {
  },
}
</script>

<style scoped>
</style>
